package ru.landgrafhomyak.serdha.api.v0.ddl.table

import kotlin.jvm.JvmName
import ru.landgrafhomyak.serdha.api.v0.ddl.types.DatabaseType
import ru.landgrafhomyak.serdha.api.v0.dml.SelectedTable

public interface Column<RT, DT : DatabaseType<RT>, TableUserExtension : Any> {
	public val name: String

	public val type: DT

	public val table: Table<TableUserExtension, *>
}